Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class MockAdvisor

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.MockAdvisor

All Implemented Interfaces:
  org.springframework.aop.Advisor, org.springframework.aop.PointcutAdvisor

    public class MockAdvisor

extends java.lang.Object
implements org.springframework.aop.PointcutAdvisor

A Spring object that defines what Advice objects should be applied to which beans.

Various standard Spring BeanPostProcessor classes look for registered beans of type Advisor, test whether they apply to the bean being created and if so then add the advice to a proxy for that bean (creating the proxy if necessary).

Various sub-interfaces can be implemented by an Advisor class in order to filter which classes or methods it applies to. In Spring2.5, a class that simply implements Advisor gets applied to every method of every class. But in Spring2.0, it will get silently ignored - either PointcutAdvisor ot IntroductionAdvisor must be implemented.

This mock implementation is happy to apply the MockAdvice advice to any class that is offered to it by a BeanPostProcessor.

Constructor Summary
`MockAdvisor()`

Method Summary
`org.aopalliance.aop.Advice` | `getAdvice()`
`org.springframework.aop.Pointcut` | `getPointcut()`
`boolean` | `isPerInstance()`
`void` | `setMessage(java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockAdvisor

    public MockAdvisor()

Method Detail

### getAdvice

    public org.aopalliance.aop.Advice getAdvice()

  Specified by:
    `getAdvice` in interface `org.springframework.aop.Advisor`

### isPerInstance

    public boolean isPerInstance()

  Specified by:
    `isPerInstance` in interface `org.springframework.aop.Advisor`

### getPointcut

    public org.springframework.aop.Pointcut getPointcut()

  Specified by:
    `getPointcut` in interface `org.springframework.aop.PointcutAdvisor`

### setMessage

    public void setMessage(java.lang.String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.